Summary: Popular scripting languages for Un*x
Name: tcltk
Version: 8.0
Release: 1
Source0: ftp.cs.smli.com:/pub/tcl/tcl8.0.tar.gz
Source1: ftp.cs.smli.com:/pub/tcl/tk8.0.tar.gz
Source2: ftp.neosoft.com:/pub/tcl/tclx-distrib/tclX8.0.2.tar.gz
Source3: ftp.xpi.com:/pub/Tix4.1.0.006.tar.gz
Copyright: BSD
Group: Development/Languages/Tcl

%description
Source package for tcl, tk, tclx and tix. The binary packages
include descriptions of the functionality provided by each portion
of this package.

%package -n tcl
Version: 8.0
Summary: Tool Command Language version 8.0, with shared libraries
Group: Development/Languages/Tcl

%description -n tcl
TCL is a simple scripting language that is designed to be embedded in
other applications. This package includes tclsh, a simple example of a
tcl application. TCL is very popular for writing small graphical applications
because of the TK widget set which is closely tied to it.

%package -n tk
Version: 8.0
Summary: Tk toolkit for Tcl, version 8.0, with shared libraries
Group: Development/Languages/Tcl
Requires: tcl >= 8.0

%description -n tk
Tk is a X Windows widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%package -n tclx
Summary: extensions to tcl and tk for POSIX systems
Group: Development/Languages/Tcl
Version: 8.0
Requires: tcl >= 8.0

%description -n tclx
TclX is a set of extensions to make it more suitable for common Unix
programming tasks. It adds or enhances support for files, network access,
debugging, math, lists, and message catalogs. It can be used with both
tcl and tcl/tk applications.

%package -n tix 
Summary: many metawidgets (such as notepads) for tk
Group: Development/Languages/Tcl
Version: 4.1.0
Requires: tk >= 8.0

%description -n tix
Tix is a add on for the tk widget set which adds many complex widgets which
are built from tk building blocks. The extra widgets include combo box,
file selection, notebooks, paned windows, spin controls, and hierarchical
list boxes.

%prep

%setup -T -c -a 0
%setup -T -D -a 1
%setup -T -D -a 2
%setup -T -D -a 3

rm -rf $RPM_BUILD_ROOT


%build

#
# Tcl
#
cd tcl8.0/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-gcc
make
make install
ln -sf libtcl8.0.so /usr/lib/libtcl.so
ln -sf tclsh8.0 /usr/bin/tclsh
cd ../..

#
# Tk
#
cd tk8.0/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared --enable-gcc
make
make install
ln -sf libtk8.0.so /usr/lib/libtk.so
ln -sf wish8.0 /usr/bin/wish
cd ../..

#
# tclX
#
cd tclX8.0.2/unix
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make
cd ../..

#
# Tix
#
cd Tix4.1.0/unix/tk8.0
./configure --enable-sam --prefix=/usr --enable-gcc
make
cd ..
./configure --prefix=/usr
make install
cd ../..


%install

#
# Tcl and Tk get installed in the build section
#

#
# TclX
#
cd tclX8.0.2/unix
make install
cp ../doc/*.3 /usr/man/man3
cp ../doc/*.n /usr/man/mann
cd ../..

#
# Tix
#
cd Tix4.1.0
make install
cd ..

%post -n tcl
/sbin/ldconfig

%post -n tk
/sbin/ldconfig

%post -n tclx
/sbin/ldconfig

%post -n tix
/sbin/ldconfig

%postun -n tcl
/sbin/ldconfig

%postun -n tk
/sbin/ldconfig

%postun -n tclx
/sbin/ldconfig

%postun -n tix
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n tcl
/usr/lib/tcl8.0
# %dir /usr/lib/tcl8.0/http2.0
# %dir /usr/lib/tcl8.0/http1.0
# %dir /usr/lib/tcl8.0/opt0.1
/usr/lib/libtcl8.0.a
/usr/bin/tclsh8.0 
/usr/lib/libtcl8.0.so
/usr/bin/tclsh
/usr/lib/tclConfig.sh
/usr/include/tcl.h 
/usr/man/man1/tclsh.1 
/usr/man/man3/AddErrInfo.3
/usr/man/man3/Alloc.3
/usr/man/man3/AllowExc.3
/usr/man/man3/AppInit.3
/usr/man/man3/AssocData.3
/usr/man/man3/Async.3
/usr/man/man3/BackgdErr.3
/usr/man/man3/Backslash.3
/usr/man/man3/BoolObj.3
/usr/man/man3/CallDel.3
/usr/man/man3/CmdCmplt.3
/usr/man/man3/Concat.3
/usr/man/man3/CrtChannel.3
/usr/man/man3/CrtChnlHdlr.3
/usr/man/man3/CrtCloseHdlr.3
/usr/man/man3/CrtCommand.3
/usr/man/man3/CrtFileHdlr.3
/usr/man/man3/CrtInterp.3
/usr/man/man3/CrtMathFnc.3
/usr/man/man3/CrtObjCmd.3
/usr/man/man3/CrtSlave.3
/usr/man/man3/CrtTimerHdlr.3
/usr/man/man3/CrtTrace.3
/usr/man/man3/DString.3
/usr/man/man3/DetachPids.3
/usr/man/man3/DoOneEvent.3
/usr/man/man3/DoWhenIdle.3
/usr/man/man3/DoubleObj.3
/usr/man/man3/Eval.3
/usr/man/man3/EvalObj.3
/usr/man/man3/Exit.3
/usr/man/man3/ExprLong.3
/usr/man/man3/ExprLongObj.3
/usr/man/man3/FindExec.3
/usr/man/man3/GetIndex.3
/usr/man/man3/GetInt.3
/usr/man/man3/GetOpnFl.3
/usr/man/man3/GetStdChan.3
/usr/man/man3/Hash.3
/usr/man/man3/IntObj.3
/usr/man/man3/Interp.3
/usr/man/man3/LinkVar.3
/usr/man/man3/ListObj.3
/usr/man/man3/Notifier.3
/usr/man/man3/ObjSetVar.3
/usr/man/man3/Object.3
/usr/man/man3/ObjectType.3
/usr/man/man3/OpenFileChnl.3
/usr/man/man3/OpenTcp.3
/usr/man/man3/PkgRequire.3
/usr/man/man3/Preserve.3
/usr/man/man3/PrintDbl.3
/usr/man/man3/RecEvalObj.3
/usr/man/man3/RecordEval.3
/usr/man/man3/RegExp.3
/usr/man/man3/SetErrno.3
/usr/man/man3/SetRecLmt.3
/usr/man/man3/SetResult.3
/usr/man/man3/SetVar.3
/usr/man/man3/Sleep.3
/usr/man/man3/SplitList.3
/usr/man/man3/SplitPath.3
/usr/man/man3/StaticPkg.3
/usr/man/man3/StrMatch.3
/usr/man/man3/StringObj.3
/usr/man/man3/Tcl_Main.3
/usr/man/man3/TraceVar.3
/usr/man/man3/Translate.3
/usr/man/man3/UpVar.3
/usr/man/man3/WrongNumArgs.3
/usr/man/mann/Tcl.n
/usr/man/mann/after.n
/usr/man/mann/append.n
/usr/man/mann/array.n
/usr/man/mann/bgerror.n
/usr/man/mann/binary.n
/usr/man/mann/break.n
/usr/man/mann/case.n
/usr/man/mann/catch.n
/usr/man/mann/cd.n
/usr/man/mann/clock.n
/usr/man/mann/close.n
/usr/man/mann/concat.n
/usr/man/mann/continue.n
/usr/man/mann/eof.n
/usr/man/mann/error.n
/usr/man/mann/eval.n
/usr/man/mann/exec.n
/usr/man/mann/exit.n
/usr/man/mann/expr.n
/usr/man/mann/fblocked.n
/usr/man/mann/fconfigure.n
/usr/man/mann/fcopy.n
/usr/man/mann/file.n
/usr/man/mann/fileevent.n
/usr/man/mann/filename.n
/usr/man/mann/flush.n
/usr/man/mann/for.n
/usr/man/mann/foreach.n
/usr/man/mann/format.n
/usr/man/mann/gets.n
/usr/man/mann/glob.n
/usr/man/mann/global.n
/usr/man/mann/history.n
/usr/man/mann/http.n
/usr/man/mann/if.n
/usr/man/mann/incr.n
/usr/man/mann/info.n
/usr/man/mann/interp.n
/usr/man/mann/join.n
/usr/man/mann/lappend.n
/usr/man/mann/library.n
/usr/man/mann/lindex.n
/usr/man/mann/linsert.n
/usr/man/mann/list.n
/usr/man/mann/llength.n
/usr/man/mann/load.n
/usr/man/mann/lrange.n
/usr/man/mann/lreplace.n
/usr/man/mann/lsearch.n
/usr/man/mann/lsort.n
/usr/man/mann/namespace.n
/usr/man/mann/open.n
/usr/man/mann/package.n
/usr/man/mann/pid.n
/usr/man/mann/pkgMkIndex.n
/usr/man/mann/proc.n
/usr/man/mann/puts.n
/usr/man/mann/pwd.n
/usr/man/mann/read.n
/usr/man/mann/regexp.n
/usr/man/mann/registry.n
/usr/man/mann/regsub.n
/usr/man/mann/rename.n
/usr/man/mann/resource.n
/usr/man/mann/return.n
/usr/man/mann/safe.n
/usr/man/mann/scan.n
/usr/man/mann/seek.n
/usr/man/mann/set.n
/usr/man/mann/socket.n
/usr/man/mann/source.n
/usr/man/mann/split.n
/usr/man/mann/string.n
/usr/man/mann/subst.n
/usr/man/mann/switch.n
/usr/man/mann/tclvars.n
/usr/man/mann/tell.n
/usr/man/mann/time.n
/usr/man/mann/trace.n
/usr/man/mann/unknown.n
/usr/man/mann/unset.n
/usr/man/mann/update.n
/usr/man/mann/uplevel.n
/usr/man/mann/upvar.n
/usr/man/mann/variable.n
/usr/man/mann/vwait.n
/usr/man/mann/while.n

%files -n tk
/usr/lib/libtk8.0.so
/usr/bin/wish8.0
/usr/lib/libtk.so
/usr/bin/wish
/usr/lib/tkConfig.sh
/usr/include/tk.h
/usr/lib/tk8.0
# %dir /usr/lib/tk8.0/images
# %dir /usr/lib/tk8.0/demos
# %dir /usr/lib/tk8.0/demos/images
/usr/man/man1/wish.1
/usr/man/man3/3DBorder.3
/usr/man/man3/BindTable.3
/usr/man/man3/CanvPsY.3
/usr/man/man3/CanvTkwin.3
/usr/man/man3/CanvTxtInfo.3
/usr/man/man3/Clipboard.3
/usr/man/man3/ClrSelect.3
/usr/man/man3/ConfigWidg.3
/usr/man/man3/ConfigWind.3
/usr/man/man3/CoordToWin.3
/usr/man/man3/CrtErrHdlr.3
/usr/man/man3/CrtGenHdlr.3
/usr/man/man3/CrtImgType.3
/usr/man/man3/CrtItemType.3
/usr/man/man3/CrtPhImgFmt.3
/usr/man/man3/CrtSelHdlr.3
/usr/man/man3/CrtWindow.3
/usr/man/man3/DeleteImg.3
/usr/man/man3/DrawFocHlt.3
/usr/man/man3/EventHndlr.3
/usr/man/man3/FindPhoto.3
/usr/man/man3/FontId.3
/usr/man/man3/FreeXId.3
/usr/man/man3/GeomReq.3
/usr/man/man3/GetAnchor.3
/usr/man/man3/GetBitmap.3
/usr/man/man3/GetCapStyl.3
/usr/man/man3/GetClrmap.3
/usr/man/man3/GetColor.3
/usr/man/man3/GetCursor.3
/usr/man/man3/GetFont.3
/usr/man/man3/GetGC.3
/usr/man/man3/GetImage.3
/usr/man/man3/GetJoinStl.3
/usr/man/man3/GetJustify.3
/usr/man/man3/GetOption.3
/usr/man/man3/GetPixels.3
/usr/man/man3/GetPixmap.3
/usr/man/man3/GetRelief.3
/usr/man/man3/GetRootCrd.3
/usr/man/man3/GetScroll.3
/usr/man/man3/GetSelect.3
/usr/man/man3/GetUid.3
/usr/man/man3/GetVRoot.3
/usr/man/man3/GetVisual.3
/usr/man/man3/HandleEvent.3
/usr/man/man3/IdToWindow.3
/usr/man/man3/ImgChanged.3
/usr/man/man3/InternAtom.3
/usr/man/man3/MainLoop.3
/usr/man/man3/MainWin.3
/usr/man/man3/MaintGeom.3
/usr/man/man3/ManageGeom.3
/usr/man/man3/MapWindow.3
/usr/man/man3/MeasureChar.3
/usr/man/man3/MoveToplev.3
/usr/man/man3/Name.3
/usr/man/man3/NameOfImg.3
/usr/man/man3/OwnSelect.3
/usr/man/man3/ParseArgv.3
/usr/man/man3/QWinEvent.3
/usr/man/man3/Restack.3
/usr/man/man3/RestrictEv.3
/usr/man/man3/SetAppName.3
/usr/man/man3/SetClass.3
/usr/man/man3/SetGrid.3
/usr/man/man3/SetVisual.3
/usr/man/man3/StrictMotif.3
/usr/man/man3/TextLayout.3
/usr/man/man3/Tk_Init.3
/usr/man/man3/Tk_Main.3
/usr/man/man3/WindowId.3
/usr/man/mann/bell.n
/usr/man/mann/bind.n
/usr/man/mann/bindtags.n
/usr/man/mann/bitmap.n
/usr/man/mann/button.n
/usr/man/mann/canvas.n
/usr/man/mann/checkbutton.n
/usr/man/mann/chooseColor.n
/usr/man/mann/clipboard.n
/usr/man/mann/destroy.n
/usr/man/mann/dialog.n
/usr/man/mann/entry.n
/usr/man/mann/event.n
/usr/man/mann/focus.n
/usr/man/mann/focusNext.n
/usr/man/mann/font.n
/usr/man/mann/frame.n
/usr/man/mann/getOpenFile.n
/usr/man/mann/grab.n
/usr/man/mann/grid.n
/usr/man/mann/image.n
/usr/man/mann/label.n
/usr/man/mann/listbox.n
/usr/man/mann/loadTk.n
/usr/man/mann/lower.n
/usr/man/mann/menu.n
/usr/man/mann/menubar.n
/usr/man/mann/menubutton.n
/usr/man/mann/message.n
/usr/man/mann/messageBox.n
/usr/man/mann/option.n
/usr/man/mann/optionMenu.n
/usr/man/mann/options.n
/usr/man/mann/pack-old.n
/usr/man/mann/pack.n
/usr/man/mann/palette.n
/usr/man/mann/photo.n
/usr/man/mann/place.n
/usr/man/mann/popup.n
/usr/man/mann/radiobutton.n
/usr/man/mann/raise.n
/usr/man/mann/scale.n
/usr/man/mann/scrollbar.n
/usr/man/mann/selection.n
/usr/man/mann/send.n
/usr/man/mann/text.n
/usr/man/mann/tk.n
/usr/man/mann/tkerror.n
/usr/man/mann/tkvars.n
/usr/man/mann/tkwait.n
/usr/man/mann/toplevel.n
/usr/man/mann/winfo.n
/usr/man/mann/wm.n

%files -n tclx
/usr/lib/tclX8.0.2
/usr/lib/tkX8.0.2
/usr/bin/tcl
/usr/bin/tclhelp
/usr/lib/libtclx8.0.2.a
/usr/lib/libtclx8.0.2.so
/usr/lib/libtkx8.0.2.a
/usr/lib/libtkx8.0.2.so
/usr/lib/tclxConfig.sh
/usr/lib/tkxConfig.sh
/usr/include/tclExtend.h
/usr/man/man3/CmdWrite.3
/usr/man/man3/Handles.3
/usr/man/man3/Keylist.3
/usr/man/man3/ObjCmdWrite.3
/usr/man/man3/TclXInit.3
/usr/man/mann/Memory.n
/usr/man/mann/TclX.n


%files -n tix
/usr/bin/tixindex
/usr/lib/tix4.1
# %dir /usr/lib/tix4.1/bitmaps
# %dir /usr/lib/tix4.1/pref
# %dir /usr/lib/tix4.1/demos
# %dir /usr/lib/tix4.1/demos/bitmaps
# %dir /usr/lib/tix4.1/demos/samples
/usr/include/tix.h
/usr/man/mann/Balloon.n
/usr/man/mann/BtnBox.n
/usr/man/mann/ChkList.n
/usr/man/mann/ComboBox.n
/usr/man/mann/Control.n
/usr/man/mann/DItem.n
/usr/man/mann/Destroy.n
/usr/man/mann/DirDlg.n
/usr/man/mann/DirList.n
/usr/man/mann/DirTree.n
/usr/man/mann/EFileBox.n
/usr/man/mann/EFileDlg.n
/usr/man/mann/FileBox.n
/usr/man/mann/FileDlg.n
/usr/man/mann/FileEnt.n
/usr/man/mann/Form.n
/usr/man/mann/GetBool.n
/usr/man/mann/GetInt.n
/usr/man/mann/Grid.n
/usr/man/mann/HList.n
/usr/man/mann/InpOnly.n
/usr/man/mann/LabEntry.n
/usr/man/mann/LabFrame.n
/usr/man/mann/ListNBK.n
/usr/man/mann/Meter.n
/usr/man/mann/Mwm.n
/usr/man/mann/NBFrame.n
/usr/man/mann/NoteBook.n
/usr/man/mann/OptMenu.n
/usr/man/mann/PanedWin.n
/usr/man/mann/PopMenu.n
/usr/man/mann/SHList.n
/usr/man/mann/SListBox.n
/usr/man/mann/SText.n
/usr/man/mann/SWindow.n
/usr/man/mann/Select.n
/usr/man/mann/StdBBox.n
/usr/man/mann/TList.n
/usr/man/mann/TixIntro.n
/usr/man/mann/Tree.n
/usr/man/mann/Utils.n
/usr/man/mann/Wm.n
/usr/man/mann/compound.n
/usr/man/mann/pixmap.n
/usr/man/mann/tix.n
/usr/man/mann/tixwish.1

